Create a response action
POST/intelligence/v1/response-actions
Requires tenant license idn:response-and-remediation.
Creates a response action: the request is validated, a requestId (the correlation id) is minted, the action is recorded as SUBMITTED, and an event is published that triggers the correlated workflow(s).
Returns HTTP 202 with the requestId, an initial SUBMITTED status, and a statusUrl. Poll GET /intelligence/v1/response-actions/{requestId}/status for progress.
Request
Responses
- 202
- 400
- 401
- 403
- 429
- 500
The response action was accepted and is being processed asynchronously.
Missing or invalid request body.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal or upstream server failure.